import Chat from "../islands/Chat.tsx";

export default function ChatPage() {
  return (
    <div class="min-h-screen p-4 pb-24">
      <div class="flex items-center justify-center mb-6">
        <h1 class="text-3xl font-bold text-secondary">Chat Room</h1>
        <span class="ml-3 border border-pink-500 text-pink-500 rounded-full px-3 py-1 text-sm">
          Demo
        </span>
      </div>

      <div class="max-w-4xl mx-auto">
        <Chat />
      </div>

      <div class="mt-4 text-center text-xs text-gray-500 mb-20">
        <p>
          This is an ephemeral chat room. Messages are only visible to users
          currently online and aren't stored after you leave.
        </p>
      </div>
    </div>
  );
}
